// 冒泡排序
export function bubbleSort(array) {
	if (Object.prototype.toString.call(array).slice(8, -1) === 'Array') {
		var len = array.length,
			temp;
		for (var i = 0; i < len - 1; i++) {
			for (var j = len - 1; j >= i; j--) {
				if (array[j - 1] && array[j].level < array[j - 1].level) {
					temp = array[j];
					array[j] = array[j - 1];
					array[j - 1] = temp;
				}
			}
		}
		return array;
	} else {
		return 'array is not an Array!';
	}
}
export default {
	bubbleSort
};
